Page MenuHomePhabricator

Get citoid working in production
Closed, ResolvedPublic0 Story Points

Event Timeline

Mvolz created this task.Feb 16 2015, 3:35 PM
Mvolz raised the priority of this task from to Needs Triage.
Mvolz updated the task description. (Show Details)
Mvolz added projects: Citoid, Services.
Mvolz moved this task to Production on the Citoid board.
Mvolz added a subscriber: Mvolz.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 16 2015, 3:35 PM
Jdforrester-WMF triaged this task as Unbreak Now! priority.Feb 17 2015, 1:06 AM
Jdforrester-WMF set Security to None.
Mvolz renamed this task from Citoid not working in production to Get citoid working in production.Mar 3 2015, 6:03 PM
Pine added a subscriber: Pine.Mar 5 2015, 8:47 AM

Is there a commitment to having Citoid running in production in Q3?

@Pine: As I understand it, yes.

The related T62768 is the Epic task that appears in the Accepted column of the VisualEditor Q3 Blockers workboard : they have accepted it as a blocker and intend to have all those blockers resolved by the end of Q3.

(Note that they've assigned that task 160 points, meaning that it's a pretty large amount of work. To put that into scale, see the burndown chart for how much progress they are making with closing those blockers: https://phabricator.wikimedia.org/project/sprint/view/1015/ )

After all the pending commits to deploy go through, I *believe* the last blocker for this would be T89875, for which no commit has been made yet.

(By the way, I still have no idea who is responsible for merging this changes: @Catrope, @akosiaris, myself, @mobrovac, @GWicke, and @ori all have +2 rights on the repository but no one has claimed responsibility for this, so I'm starting to suspect no one knows who is doing it.)

After all the pending commits to deploy go through, I *believe* the last blocker for this would be T89875, for which no commit has been made yet.

That's in https://gerrit.wikimedia.org/r/#/c/195024 I believe.

(By the way, I still have no idea who is responsible for merging this changes: @Catrope, @akosiaris, myself, @mobrovac, @GWicke, and @ori all have +2 rights on the repository but no one has claimed responsibility for this, so I'm starting to suspect no one knows who is doing it.)

I can volunteer to run point on the prod side of citoid (in conjunction with ops, ofc), if that's alright with others. (I'd need to get access to the prod machine for that tough).

After all the pending commits to deploy go through, I *believe* the last blocker for this would be T89875, for which no commit has been made yet.

That's in https://gerrit.wikimedia.org/r/#/c/195024 I believe.

I 'd say it's dependent on this https://gerrit.wikimedia.org/r/#/c/194536/, the discussion we had in that change and a new change to actually set the proxy in ops/puppet

(By the way, I still have no idea who is responsible for merging this changes: @Catrope, @akosiaris, myself, @mobrovac, @GWicke, and @ori all have +2 rights on the repository but no one has claimed responsibility for this, so I'm starting to suspect no one knows who is doing it.)

I can volunteer to run point on the prod side of citoid (in conjunction with ops, ofc), if that's alright with others. (I'd need to get access to the prod machine for that tough).

https://phabricator.wikimedia.org/T84552 has @GWicke as a point person with @Catrope as initial deployment point person. Just so we got this in writing, @GWicke are you OK with @mobrovac running point on citoid ? ops is obviously fine with this.

@akosiaris, +1 (or 10, if I had that many votes) from me for giving @mobrovac deploy access for citoid and other sca services.

Change 195932 had a related patch set uploaded (by Alexandros Kosiaris):
Grant mobrovac access to citoid hosts

https://gerrit.wikimedia.org/r/195932

Change 195932 merged by Yuvipanda:
Grant mobrovac access to citoid hosts

https://gerrit.wikimedia.org/r/195932

I think we can close this. all blocking tasks have been closed and citoid is working in production

Jdforrester-WMF closed this task as Resolved.Mar 16 2015, 7:27 PM
Jdforrester-WMF claimed this task.
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Woo! Thank you so much.

Pine awarded a token.Mar 28 2015, 4:02 AM